<?php
/*
 * génération des fichiers preseed pour debian
 */
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require "ipxe_functions.inc.php";

header("Content-type: text/plain");
$mode = $_POST['mode'] ?? "";
$token = $_POST['token'];
$mac = $_POST['mac'];

// Lire le fichier preseed générique et le compléter (sections 5, 8 et 10)
if (auth_action($config, $mac, $token)) {
    $machine = get_action($config, $mac);
    if (isset($machine['cn'])) {
        $file = file(__DIR__ . "/debian.cfg");
        // choix de simple ou du double boot (section 5)
        // simple_boot.cfg ou double_boot.cfg
        if ($config['double_boot'] == 1){
            $file = array_merge(file(__DIR__ . "/double_boot.cfg"), $file);
        } else {
            $file = array_merge(file(__DIR__ . "/simple_boot.cfg"), $file);
        }
        // choix de l'environnement de bureau gnome ou lxde (section 8)
        // gnome ou lxde
        switch ($config['environnement_bureau']) {
            case 'gnome' :
                $file = array_merge(file(__DIR__ . "/debian_gnome.cfg"), $file);
                break;
            case 'lxde' :
                $file = array_merge(file(__DIR__ . "/debian_lxde.cfg"), $file);
                break;
            default :
                $file = array_merge(file(__DIR__ . "/debian_gnome.cfg"), $file);
                break;
        }
        // lancement éventuellement d'une commande à la fin (section 10)
        // une commande → 1 ou pas de commande → 0
        if ($config['commande_fin_preseed'] == 1){
            $file = array_merge(file(__DIR__ . "/commande_fin.cfg"), $file);
        }
        // initialisation des parametres présents dans sambaedu.conf
        write_param($config, $file);
        // parametres spécifiques au poste
        $params = array(
            'hostname' => $machine['cn'],
            'version_debian' => $version_debian,
            'token' => $token,
        );
        write_param($params, $file);
        $preseed = "";
        foreach($file as $ligne){
            $preseed .= $ligne;
        }
        echo $preseed;
    }
}
?>
